
From: Andrew Morton <akpm@osdl.org>

Cc: Ingo Molnar <mingo@elte.hu>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 kernel/sched.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN kernel/sched.c~scheduler-cache-hot-autodetect-cacheflush-fix kernel/sched.c
--- 25/kernel/sched.c~scheduler-cache-hot-autodetect-cacheflush-fix	2005-06-18 02:55:41.000000000 -0700
+++ 25-akpm/kernel/sched.c	2005-06-18 02:55:41.000000000 -0700
@@ -5281,7 +5281,7 @@ __init static void sched_cacheflush(void
 	asm ("wbinvd");
 #elif defined(CONFIG_IA64)
 	ia64_sal_cache_flush(1); // what argument does d/cache flush?
-#elif defined(CONFIG_PPC64) || defined(CONFIG_PPC)
+#elif (defined(CONFIG_PPC64) || defined(CONFIG_PPC)) && defined(CONFIG_XMON)
 	cacheflush();
 #else
 # warning implement sched_cacheflush()! Calibration results may be unreliable.
_
